/*
 * DBLogTest -- David Evans, January/February 1997
 *
 * This is a simple test program showing how to use the database
 * logger facility.
 */
#include <Application.h>
#include <Message.h>

void main(void)
{
	BApplication app('test');
	BMessage *mesg = new BMessage('dlog');
	
	mesg->AddString("Log Message", "Test Message");
	mesg->AddString("Severity", "Not Urgent");
	mesg->AddString("Name", "Tester");
	
	BMessenger *messenger = new BMessenger('logr');
	if(messenger->Error() != B_NO_ERROR)
		fprintf(stderr, "Logger not running\n");
	else
	{
		messenger->SendMessage(mesg);
		if(messenger->Error() != B_NO_ERROR)
			fprintf(stderr, "Problem sending message.\n");
		
	}

	delete messenger;		
	delete mesg;
	
	return;
}
	
